> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Remaining Credits

> Check your account remaining credits balance.

<Info>
  Retrieve the current balance of credits available in your account.
</Info>

### Usage Guide

* Use this endpoint to check your current credit balance
* Monitor usage to ensure sufficient credits for continued service
* Plan credit replenishment based on your usage patterns

### Developer Notes

* Credit balance is required for all generation services
* Service access will be restricted when credits are depleted
* Credits are consumed based on the specific service and usage volume


## OpenAPI

````yaml common-api/get-account-credits.json get /api/v1/client/account/balance
openapi: 3.0.0
info:
  title: Get Remaining Credits
  description: Check your account remaining credits balance.
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@crun.ai
servers:
  - url: https://api.crun.ai
    description: API Server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/account/balance:
    get:
      summary: Check your account remaining credits balance
      operationId: get-account-balance
      responses:
        '200':
          description: get successfully.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/ResponseModel'
              example:
                code: 200
                message: success
                data:
                  balance: 1000
        '401':
          description: API key missing
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
              example:
                code: 401
                message: API key missing
                data: null
        '403':
          description: API key disabled
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
              example:
                code: 403
                message: API key disabled
                data: null
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          description: >-
            Response status code


            - **200**: Success - Request has been processed successfully

            - **401**: Unauthorized - Authentication credentials are missing or
            invalid

            - **402**: Insufficient Credits - Account does not have enough
            credits to perform the operation

            - **404**: Not Found - The requested resource or endpoint does not
            exist

            - **422**: Validation Error - The request parameters failed
            validation checks

            - **429**: Rate Limited - Request limit has been exceeded for this
            resource

            - **455**: Service Unavailable - System is currently undergoing
            maintenance

            - **500**: Server Error - An unexpected error occurred while
            processing the request

            - **501**: Generation Failed - Content generation task failed

            - **505**: Feature Disabled - The requested feature is currently
            disabled
        message:
          type: string
          description: Response message
        data:
          nullable: true
      required:
        - code
        - message
    ResponseModel:
      type: object
      description: result information.
      properties:
        balance:
          type: number
          description: Current credit balance of account
          example: 1000
      required:
        - balance
  responses:
    Error:
      description: Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        All APIs require authentication via API Key.


        Get API Key:

        1. Visit [API Key Management Page](https://crun.ai/user-api-key) to get
        your API Key


        Usage:

        Add to request header:


        x-api-key: YOUR_API_KEY


        Note:

        - Keep your API Key secure and do not share it with others

        - If you suspect your API Key has been compromised, reset it immediately
        in the management page

````